put
https://api.spredfast.com/v2/conversations/initiative//message/?multipart
This endpoint is used to update an existing multi-part Khoros Marketing Message
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Details
This endpoint only accepts multipart/form-data input and consequenlty will not work with this API Explorer. Instead, you may use the example provided as a starting point for the main body of data, and then execute via cURL similar to:
curl \
--header 'Content-Type: multipart/form-data' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}' \
--form 'message={"sfEntityType":"Message","service":"FACEBOOK","content":{"sfEntityType":"ImageShareList","images":[{"sfEntityType":"ImageShare","caption":"image one"},{"sfEntityType":"ImageShare","caption":"image two"},{"sfEntityType":"ImageShare","caption":"image three"}]},"targetAccountIds":["4"]};type=application/json' \
--form '[email protected]' \
--form '[email protected]' \
--form '[email protected]' \
-X PUT'https://api.spredfast.com/v2/conversations/initiative/{initiativeId}/message/{messageId}?multipart'
Content Object (one of the following)
Option 1
discriminator: sfEntityType
| Field | Type |
|---|---|
| caption | string |
| temporaryImageUrl | string |
| temporaryThumbnailUrl | string |
Option 2
| sfEntityType | string |
| images | string or array[object] |
images Object (if images field is an array)
| caption | string |
| temporaryImageUrl | string |
| temporaryThumbnailUrl | string |
Option 3
| videoTitle | string |
| description | string |
| tags | string |
| category | string |
| sfEntityType | string |
YouTube
When YouTube is selected as the service, the value of the category field needs to match one of the keys listed in this table:
| Key | Description |
|---|---|
Autos | Autos & Vehicles |
Comedy | Comedy |
Education | Education |
Entertainment | Entertainment |
Film | Film & Animation |
Games | Gaming |
Howto | Howto & Style |
Music | Music |
News | News & Politics |
Nonprofit | Nonprofits & Activism |
People | People & Blogs |
Animals | Pets & Animals |
Tech | Science & Technology |
Sports | Sports |
Travel | Travel & Events |
Option 4
| text | string |
| shareLink | object |
| sfEntityType | string |
shareLink Object
| url | string |
| title | string |
| description | string |
| caption | string |
| thumbnailUrl | string |